Bug 251311 - kdepim spec file uses undefined %{prefix}
Summary: kdepim spec file uses undefined %{prefix}
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kdepim   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-08 10:05 UTC by Jos Vos
Modified: 2013-04-15 08:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 09:27:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1057 normal SHIPPED_LIVE kdepim bug fix update 2009-05-20 09:27:18 UTC

Description Jos Vos 2007-08-08 10:05:17 UTC
Description of problem:
The kdepim spec file uses %{prefix}, while there is no Prefix: header line, so
%{prefix} will not be substituted.  This means the "common" symlinks are not
made relative in %install.

Version-Release number of selected component (if applicable):
3.5.4-4.fc6

Solution:
3 solutions possible: either add a "Prefix: %{_prefix}" header, or replace
%{prefix} by %{_prefix}, or replace %{prefix}/share/doc by %{_docdir}
(personally I prefer the latter solution ;-)).

Comment 1 Phil Knirsch 2008-04-30 14:46:40 UTC
Proposing for RHEL-5.3, waiting with final ACK on developer review.

Read ya, Phil 


Comment 11 errata-xmlrpc 2009-05-20 09:27:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1057.html


Note You need to log in before you can comment on or make changes to this bug.